
#include "windows.h"

	//  
	//   
LRESULT CALLBACK WindowFunc(HWND, UINT, WPARAM, LPARAM);

	//  
char *szWinName = "MyClass";

	// 
HWND hMainWnd, hButton1, hButton2, hEdit1, hEdit2, hStatic;
MSG msg;
WNDCLASS wcl;

int APIENTRY WinMain(HINSTANCE hInstance,
                     HINSTANCE hPrevInstance,
                     LPSTR     lpCmdLine,
                     int       nCmdShow)
{
	//   WNDCLASS
        wcl.hInstance = hInstance;
        wcl.lpszClassName = szWinName;
        wcl.lpfnWndProc = WindowFunc;
        wcl.style = 0;
        wcl.hIcon = LoadIcon(NULL, IDI_ASTERISK);
        wcl.hCursor = LoadCursor(NULL,IDC_ARROW);
        wcl.lpszMenuName = NULL;
        wcl.cbClsExtra = 0;
        wcl.cbWndExtra = 0;
        wcl.hbrBackground = (HBRUSH)COLOR_WINDOW;

	//  
        RegisterClass(&wcl);

	//     
        hMainWnd = CreateWindow(szWinName, "   API.", WS_OVERLAPPEDWINDOW ^ WS_THICKFRAME ^ WS_MAXIMIZEBOX, CW_USEDEFAULT, CW_USEDEFAULT,
                                                300, 170, HWND_DESKTOP, NULL, hInstance, NULL);

        hButton1 = CreateWindow("button", "Copy", WS_CHILD | WS_VISIBLE, 200, 10, 70, 25, hMainWnd, NULL, hInstance, NULL);
        hButton2 = CreateWindow("button", "Close", WS_CHILD | WS_VISIBLE, 200, 40, 70, 25, hMainWnd, NULL, hInstance, NULL);
        hEdit1 = CreateWindowEx(WS_EX_CLIENTEDGE, "edit", NULL, WS_CHILD | WS_VISIBLE | WS_BORDER, 20, 10, 150, 25, hMainWnd, NULL, hInstance, NULL);
        hEdit2 = CreateWindowEx(WS_EX_CLIENTEDGE, "edit", NULL, WS_CHILD | WS_VISIBLE | WS_BORDER | ES_READONLY, 20, 40, 150, 25, hMainWnd, NULL, hInstance, NULL);
        hStatic = CreateWindow("static", "    Copy,        .",
								WS_CHILD | WS_VISIBLE | SS_CENTER, 20, 70, 150, 70, hMainWnd, NULL, hInstance, NULL);
	//     
        ShowWindow(hMainWnd, nCmdShow);
        UpdateWindow(hMainWnd);

	//  
        while(GetMessage(&msg, NULL, 0, 0))
        {
                TranslateMessage(&msg);
                DispatchMessage(&msg);
        }

        return 0;
}

	//  
LRESULT CALLBACK WindowFunc(HWND hMainWnd, UINT iMsg, WPARAM wParam, LPARAM lParam)
{
        switch(iMsg)
        {
        case WM_DESTROY:
                PostQuitMessage(0);
                break;

        case WM_COMMAND:
                {
                        if(((HWND)lParam == hButton2) && (HIWORD(wParam) == BN_CLICKED))
                                PostQuitMessage(0);

                        if(((HWND)lParam == hButton1) && (HIWORD(wParam) == BN_CLICKED))
                        {
                                char szBuff[19];
                                GetWindowText(hEdit1, szBuff, 19);
                                SetWindowText(hEdit2, szBuff);
                        }
                }
        default:
                return DefWindowProc(hMainWnd, iMsg, wParam, lParam);
        }

        return 0;
}

